/*
** COPYRIGHT
**
** This code is so simple, it's not even worth a copyright
** notice.  It's public domain, do what you want with it.
**
** Author: William Adams
*/

#include <Application.h>
#include <Beep.h>
#include <Store.h>
#include <SoundFile.h>
#include "audio.h"

#include <stdio.h>
#include <stdlib.h>
#include <string.h>



//===========================================================
// Class: SoundApplication
//
// This is a simple application class to get things started
//===========================================================


class SoundApplication : public BApplication
{
public:
					SoundApplication();
		
	virtual	void	ReadyToRun();
	
protected:
	record_ref	fSoundRef;
	char fFileName[1024];
	
	long fsampleFormat;
	long fchannelCount;
	long fsamplingRate;
	long fbyteOrder;
	long fbytesPerSample;

private:

};


//===========================================================
// Class: SoundApplication
//
// This is the interface to the sound application
//===========================================================

SoundApplication::SoundApplication()
	: BApplication('ASND')
{
	fsampleFormat = B_MULAW_SAMPLES;
	fchannelCount = 1;
	fsamplingRate = 8000;
	fbyteOrder = B_BIG_ENDIAN;
	fbytesPerSample = 2;
}



void
SoundApplication::ReadyToRun()
{
	printf("ReadyToRun\n");
	
	int ulawbyte;
	
	for (ulawbyte = 0; ulawbyte < 256; ulawbyte++)
	{
		if (((ulawbyte % 8) == 0))
			printf("\n");
		printf("%d, ",ulaw2linear(ulawbyte));
	}
	printf("\n");
	
	PostMessage(B_QUIT_REQUESTED);
}

int
main()
{
	SoundApplication *my_app = new SoundApplication();
	
	my_app->Run();
	delete my_app;
}